#!/usr/bin/python3

import http.server
import io

class RequestHandler(http.server.BaseHTTPRequestHandler):

    def do_GET(self):
        if self.path.startswith('/redirect/'):
            self.send_response(303)
            self.send_header('Location', self.path[10:])
            self.end_headers()
        else:
            self.send_response(200)
            self.end_headers()
            s = 'host: {}\n'.format(self.headers.get('Host'))
            self.wfile.write(s.encode())
            s = 'auth: {}\n'.format(self.headers.get('Authorization'))
            self.wfile.write(s.encode())

if __name__ == '__main__':
    http.server.test(RequestHandler)

# vim:ts=4 sw=4 et
